<?PHP 

include("config.php");

if (!$_POST){ header('Location: '.$site_url); }

// error checking
if(!isset($_POST)) exit();

if (isset($_POST[delete])) {	
	// convert the array to a SQL friendly format
	$deleteList = mysql_real_escape_string("(".implode(",", $_POST[delete]).")");
	
	// build the SQL query to delete the edits that are bad
	$sql = "DELETE FROM gforum_Retailers WHERE retailer_id IN $deleteList";
			  
	mysql_query($sql) or die(mysql_error());
}

if (isset($_POST[validate])) {
	// convert the array to a SQL friendly format
	$idlist = mysql_real_escape_string("(".implode(",", $_POST[validate]).")");
	
	// build the SQL query
	$sql = "UPDATE gforum_Retailers
			  SET retailer_valid = 1
			  WHERE retailer_id IN $idlist;";
			  
	mysql_query($sql) or die(mysql_error());
	
}

header('Location: '.$site_url.'/validate.php');

?>